News
Jun
3
Posted by Samuel Smith on 03 Jun 2016

Hey folks!

We here at Horizon DataSys wanted to send out a quick reminder to all of our users that yes, we are and have been Windows 10 compatible since October 2015.

This does require an update to v10.4 of RollBack Rx and/or v10.5 of Drive Vaccine in order to run properly. All older builds of the software will not run properly, sometimes resulting in fatal errors if allowed to be installed on Windows 10.

Download and trial the latest version of RollBack Rx Professional from this link directly: http://bit.ly/1XWtSLY

Be sure to read through our User Guide: http://bit.ly/1XWtQno

Have a great day!


Comments (0)